Subject: Re: [RFC:] struct net_device_ops: Add function pointer to fill device specific ndisc information

From: Stephan Gatzka <[email-masked]>
Date: Mon, 21 Jan 2013 07:17:45 +0100

> I'm no expert on firewire requirements, but if you go down the path
> of adding a net_device_ops member, I'd recommend adding a pointer
> to your own struct of ops.  This would be similar to wireless ops.
>
> Only a suggestion, since you may still need to add more ops later
> on, and this way you can contain the inflation to a firewire-specific
> struct of function pointers.
>

Thanks for your note. Right now I only need on function pointer for 
filling RFC3146 information and I can imagine doing the same for 
IPv4/ARP which would be a second function.

Stephan